> For the complete documentation index, see [llms.txt](https://docs.sov.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sov.ai/readme.md).

# Data & Screens

**Only works for paying subscribers, purchase your API key** [<mark style="color:purple;">**`here`**</mark>](https://sov.ai/subscribe)**.**

<pre class="language-python"><code class="lang-python">import sovai as sov
<strong>sov.token_auth(token="add_your_subscriber_token_here")
</strong></code></pre>

## Installation

To use Sovai's python module you can install `sovai`.

```
pip install sovai[full]
```

{% hint style="success" %}
**The best way to familiarize yourself with this powerful library is to head straight to the**[ **tutorial section.**](/get-started/tutorials.md)
{% endhint %}

### Data

If you only want to download data into pandas please use the much lighter package.

```
pip install sovai
```

```python
import sovai as sov
sov.data("query")
```

### Provided Datasets

1. [Equity Datasets](/realtime-datasets/equity-datasets.md) - Data on publicly traded companies.
2. [Economic Datasets](/realtime-datasets/equity-datasets.md) - Data for economic forecasting.
3. [Sectorial Datasets](/realtime-datasets/sectorial-datasets.md) - Sector-specific data for predictive insights.

### Get Help

* The fastest way to get help is to email us at <d.snow@sov.ai> for support.
* We also have a pretty active [Linkedin](https://www.linkedin.com/company/sovai/) page.

## Support us

:tada: For future use, star our [GitHub](https://github.com/sovai-research/sovai-public) repository (click the star button on the top right corner)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sov.ai/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
